<?php



$tdataexporta_dados = array();
$tdataexporta_dados[".searchableFields"] = array();
$tdataexporta_dados[".ShortName"] = "exporta_dados";
$tdataexporta_dados[".OwnerID"] = "";
$tdataexporta_dados[".OriginalTable"] = "Vinha";


$tdataexporta_dados[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataexporta_dados[".originalPagesByType"] = $tdataexporta_dados[".pagesByType"];
$tdataexporta_dados[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataexporta_dados[".originalPages"] = $tdataexporta_dados[".pages"];
$tdataexporta_dados[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataexporta_dados[".originalDefaultPages"] = $tdataexporta_dados[".defaultPages"];

//	field labels
$fieldLabelsexporta_dados = array();
$fieldToolTipsexporta_dados = array();
$pageTitlesexporta_dados = array();
$placeHoldersexporta_dados = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsexporta_dados["Portuguese(Standard)"] = array();
	$fieldToolTipsexporta_dados["Portuguese(Standard)"] = array();
	$placeHoldersexporta_dados["Portuguese(Standard)"] = array();
	$pageTitlesexporta_dados["Portuguese(Standard)"] = array();
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["CodVenda"] = "Cod Venda";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["CodVenda"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["CodVenda"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["CodUser"] = "Cod User";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["CodUser"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["CodUser"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Data"] = "Data";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Data"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Data"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["CodPlanta"] = "Cod Planta";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["CodPlanta"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["CodPlanta"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["CodCliente"] = "Cod Cliente";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["CodCliente"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["CodCliente"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Quantidade"] = "Quantidade";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Quantidade"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Quantidade"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Confirmado"] = "Confirmado";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Confirmado"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Confirmado"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["NEntrega"] = "NEntrega";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["NEntrega"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["NEntrega"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["PE"] = "PE";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["PE"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["PE"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Clone"] = "Clone";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Clone"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Clone"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["NE"] = "NE";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["NE"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["NE"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Saldo"] = "Stock todos";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Saldo"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Saldo"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["CodMarza"] = "Cod Marza";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["CodMarza"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["CodMarza"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Saldo1"] = "Stock Confirmados";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Saldo1"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Saldo1"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Escolha"] = "Escolha";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Escolha"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Escolha"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Pago20_"] = "Pago20%";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Pago20_"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Pago20_"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Encomendado"] = "Encomendado";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Encomendado"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Encomendado"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["PagoTotal"] = "Pago Total";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["PagoTotal"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["PagoTotal"] = "";
	$fieldLabelsexporta_dados["Portuguese(Standard)"]["Fornecido"] = "Fornecido";
	$fieldToolTipsexporta_dados["Portuguese(Standard)"]["Fornecido"] = "";
	$placeHoldersexporta_dados["Portuguese(Standard)"]["Fornecido"] = "";
	if (count($fieldToolTipsexporta_dados["Portuguese(Standard)"]))
		$tdataexporta_dados[".isUseToolTips"] = true;
}


	$tdataexporta_dados[".NCSearch"] = true;


	$tdataexporta_dados[".scrollGridBody"] = true;

$tdataexporta_dados[".shortTableName"] = "exporta_dados";
$tdataexporta_dados[".nSecOptions"] = 0;

$tdataexporta_dados[".mainTableOwnerID"] = "";
$tdataexporta_dados[".entityType"] = 1;

$tdataexporta_dados[".strOriginalTableName"] = "Vinha";

	



$tdataexporta_dados[".showAddInPopup"] = true;

$tdataexporta_dados[".showEditInPopup"] = false;

$tdataexporta_dados[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataexporta_dados[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataexporta_dados[".listAjax"] = false;
//	temporary
$tdataexporta_dados[".listAjax"] = false;

	$tdataexporta_dados[".audit"] = true;

	$tdataexporta_dados[".locking"] = true;


$pages = $tdataexporta_dados[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexporta_dados[".edit"] = true;
	$tdataexporta_dados[".afterEditAction"] = 1;
	$tdataexporta_dados[".closePopupAfterEdit"] = 1;
	$tdataexporta_dados[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexporta_dados[".add"] = true;
$tdataexporta_dados[".afterAddAction"] = 1;
$tdataexporta_dados[".closePopupAfterAdd"] = 1;
$tdataexporta_dados[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexporta_dados[".list"] = true;
}



$tdataexporta_dados[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexporta_dados[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexporta_dados[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexporta_dados[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexporta_dados[".printFriendly"] = true;
}



$tdataexporta_dados[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexporta_dados[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexporta_dados[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexporta_dados[".isUseAjaxSuggest"] = true;

$tdataexporta_dados[".rowHighlite"] = true;



			

$tdataexporta_dados[".ajaxCodeSnippetAdded"] = false;

$tdataexporta_dados[".buttonsAdded"] = false;

$tdataexporta_dados[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexporta_dados[".isUseTimeForSearch"] = false;


$tdataexporta_dados[".badgeColor"] = "2F4F4F";


$tdataexporta_dados[".allSearchFields"] = array();
$tdataexporta_dados[".filterFields"] = array();
$tdataexporta_dados[".requiredSearchFields"] = array();

$tdataexporta_dados[".googleLikeFields"] = array();
$tdataexporta_dados[".googleLikeFields"][] = "CodCliente";
$tdataexporta_dados[".googleLikeFields"][] = "NEntrega";
$tdataexporta_dados[".googleLikeFields"][] = "NE";
$tdataexporta_dados[".googleLikeFields"][] = "Saldo";
$tdataexporta_dados[".googleLikeFields"][] = "CodMarza";
$tdataexporta_dados[".googleLikeFields"][] = "Saldo1";
$tdataexporta_dados[".googleLikeFields"][] = "Escolha";
$tdataexporta_dados[".googleLikeFields"][] = "Pago20%";
$tdataexporta_dados[".googleLikeFields"][] = "Encomendado";
$tdataexporta_dados[".googleLikeFields"][] = "PagoTotal";
$tdataexporta_dados[".googleLikeFields"][] = "Fornecido";



$tdataexporta_dados[".tableType"] = "list";

$tdataexporta_dados[".printerPageOrientation"] = 0;
$tdataexporta_dados[".nPrinterPageScale"] = 100;

$tdataexporta_dados[".nPrinterSplitRecords"] = 40;

$tdataexporta_dados[".geocodingEnabled"] = false;










$tdataexporta_dados[".pageSize"] = 999;

$tdataexporta_dados[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexporta_dados[".strOrderBy"] = $tstrOrderBy;

$tdataexporta_dados[".orderindexes"] = array();

$tdataexporta_dados[".sqlHead"] = "SELECT `CodVenda`,  `CodUser`,  `Data`,  `CodPlanta`,  `CodCliente`,  `Quantidade`,  `Confirmado`,  `NEntrega`,  `PE`,  `Clone`,  `NE`,  `Saldo`,  `CodMarza`,  `Saldo1`,  `Escolha`,  `Pago20%`,  `Encomendado`,  `PagoTotal`,  `Fornecido`";
$tdataexporta_dados[".sqlFrom"] = "FROM `Vinha`";
$tdataexporta_dados[".sqlWhereExpr"] = "";
$tdataexporta_dados[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexporta_dados[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexporta_dados[".arrGroupsPerPage"] = $arrGPP;

$tdataexporta_dados[".highlightSearchResults"] = true;

$tableKeysexporta_dados = array();
$tableKeysexporta_dados[] = "CodVenda";
$tdataexporta_dados[".Keys"] = $tableKeysexporta_dados;


$tdataexporta_dados[".hideMobileList"] = array();




//	CodVenda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodVenda";
	$fdata["GoodName"] = "CodVenda";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","CodVenda");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodVenda";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`CodVenda`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["CodVenda"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "CodVenda";
//	CodUser
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CodUser";
	$fdata["GoodName"] = "CodUser";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","CodUser");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodUser";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`CodUser`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Admins";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodAdin";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Admins";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodAdin";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Admins";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 3;

	
		
	$edata["LinkField"] = "CodAdin";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
		$edata["Multiselect"] = true;

	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["CodUser"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "CodUser";
//	Data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Data";
	$fdata["GoodName"] = "Data";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Data");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "Data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["Data"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Data";
//	CodPlanta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CodPlanta";
	$fdata["GoodName"] = "CodPlanta";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","CodPlanta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodPlanta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`CodPlanta`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Codice";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Varieta";

	

	
	$edata["LookupOrderBy"] = "Varieta";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "CodMarza", "lookup" => "Marza" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "Escolha";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["CodPlanta"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "CodPlanta";
//	CodCliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "CodCliente";
	$fdata["GoodName"] = "CodCliente";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","CodCliente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodCliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`CodCliente`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Clientes";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodCliente";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "Nome";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["CodCliente"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "CodCliente";
//	Quantidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Quantidade";
	$fdata["GoodName"] = "Quantidade";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Quantidade");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Quantidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Quantidade`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["Quantidade"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Quantidade";
//	Confirmado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Confirmado";
	$fdata["GoodName"] = "Confirmado";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Confirmado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Confirmado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Confirmado`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdataexporta_dados["Confirmado"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Confirmado";
//	NEntrega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "NEntrega";
	$fdata["GoodName"] = "NEntrega";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","NEntrega");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "NEntrega";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`NEntrega`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Entregas";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodEntrega";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "CodEntrega";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["NEntrega"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "NEntrega";
//	PE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "PE";
	$fdata["GoodName"] = "PE";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","PE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "PE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`PE`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "PE Vinha";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodPE";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "PE";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["PE"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "PE";
//	Clone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "Clone";
	$fdata["GoodName"] = "Clone";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Clone");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Clone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Clone`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Clones";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodClone";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Clone";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["Clone"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Clone";
//	NE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "NE";
	$fdata["GoodName"] = "NE";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","NE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "NE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`NE`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["NE"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "NE";
//	Saldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "Saldo";
	$fdata["GoodName"] = "Saldo";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Saldo");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Saldo`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Planta stock";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Codice";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "stock";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "Escolha", "lookup" => "Codice" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["Saldo"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Saldo";
//	CodMarza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "CodMarza";
	$fdata["GoodName"] = "CodMarza";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","CodMarza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodMarza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`CodMarza`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "Marza";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Marza";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "CodPlanta";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["CodMarza"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "CodMarza";
//	Saldo1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Saldo1";
	$fdata["GoodName"] = "Saldo1";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Saldo1");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Saldo1`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Planta stock(confirmados)";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Codice";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "stock";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "Escolha", "lookup" => "Codice" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["Saldo1"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Saldo1";
//	Escolha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "Escolha";
	$fdata["GoodName"] = "Escolha";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Escolha");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Escolha";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Escolha`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Planta stock(confirmados)";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Codice";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Codice";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "CodPlanta", "lookup" => "Codice" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "Saldo";
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "Saldo1";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta_dados["Escolha"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Escolha";
//	Pago20%
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "Pago20%";
	$fdata["GoodName"] = "Pago20_";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Pago20_");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Pago20%";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Pago20%`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdataexporta_dados["Pago20%"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Pago20%";
//	Encomendado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "Encomendado";
	$fdata["GoodName"] = "Encomendado";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Encomendado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Encomendado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Encomendado`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdataexporta_dados["Encomendado"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Encomendado";
//	PagoTotal
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "PagoTotal";
	$fdata["GoodName"] = "PagoTotal";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","PagoTotal");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "PagoTotal";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`PagoTotal`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdataexporta_dados["PagoTotal"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "PagoTotal";
//	Fornecido
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "Fornecido";
	$fdata["GoodName"] = "Fornecido";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("EXPORTA_DADOS","Fornecido");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Fornecido";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Fornecido`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdataexporta_dados["Fornecido"] = $fdata;
		$tdataexporta_dados[".searchableFields"][] = "Fornecido";


$tables_data["EXPORTA_DADOS"]=&$tdataexporta_dados;
$field_labels["EXPORTA_DADOS"] = &$fieldLabelsexporta_dados;
$fieldToolTips["EXPORTA_DADOS"] = &$fieldToolTipsexporta_dados;
$placeHolders["EXPORTA_DADOS"] = &$placeHoldersexporta_dados;
$page_titles["EXPORTA_DADOS"] = &$pageTitlesexporta_dados;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["EXPORTA_DADOS"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["EXPORTA_DADOS"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_exporta_dados()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "`CodVenda`,  `CodUser`,  `Data`,  `CodPlanta`,  `CodCliente`,  `Quantidade`,  `Confirmado`,  `NEntrega`,  `PE`,  `Clone`,  `NE`,  `Saldo`,  `CodMarza`,  `Saldo1`,  `Escolha`,  `Pago20%`,  `Encomendado`,  `PagoTotal`,  `Fornecido`";
$proto1["m_strFrom"] = "FROM `Vinha`";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodVenda",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto7["m_sql"] = "`CodVenda`";
$proto7["m_srcTableName"] = "EXPORTA_DADOS";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "CodUser",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto9["m_sql"] = "`CodUser`";
$proto9["m_srcTableName"] = "EXPORTA_DADOS";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Data",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto11["m_sql"] = "`Data`";
$proto11["m_srcTableName"] = "EXPORTA_DADOS";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "CodPlanta",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto13["m_sql"] = "`CodPlanta`";
$proto13["m_srcTableName"] = "EXPORTA_DADOS";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "CodCliente",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto15["m_sql"] = "`CodCliente`";
$proto15["m_srcTableName"] = "EXPORTA_DADOS";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto1["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto17["m_sql"] = "`Quantidade`";
$proto17["m_srcTableName"] = "EXPORTA_DADOS";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto1["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto19["m_sql"] = "`Confirmado`";
$proto19["m_srcTableName"] = "EXPORTA_DADOS";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto1["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "NEntrega",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto21["m_sql"] = "`NEntrega`";
$proto21["m_srcTableName"] = "EXPORTA_DADOS";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto1["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "PE",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto23["m_sql"] = "`PE`";
$proto23["m_srcTableName"] = "EXPORTA_DADOS";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto1["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "Clone",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto25["m_sql"] = "`Clone`";
$proto25["m_srcTableName"] = "EXPORTA_DADOS";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto1["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "NE",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto27["m_sql"] = "`NE`";
$proto27["m_srcTableName"] = "EXPORTA_DADOS";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto1["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "Saldo",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto29["m_sql"] = "`Saldo`";
$proto29["m_srcTableName"] = "EXPORTA_DADOS";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto1["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "CodMarza",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto31["m_sql"] = "`CodMarza`";
$proto31["m_srcTableName"] = "EXPORTA_DADOS";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto1["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "Saldo1",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto33["m_sql"] = "`Saldo1`";
$proto33["m_srcTableName"] = "EXPORTA_DADOS";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto1["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "Escolha",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto35["m_sql"] = "`Escolha`";
$proto35["m_srcTableName"] = "EXPORTA_DADOS";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto1["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "Pago20%",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto37["m_sql"] = "`Pago20%`";
$proto37["m_srcTableName"] = "EXPORTA_DADOS";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto1["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "Encomendado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto39["m_sql"] = "`Encomendado`";
$proto39["m_srcTableName"] = "EXPORTA_DADOS";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto1["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "PagoTotal",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto41["m_sql"] = "`PagoTotal`";
$proto41["m_srcTableName"] = "EXPORTA_DADOS";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto1["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "Fornecido",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "EXPORTA_DADOS"
));

$proto43["m_sql"] = "`Fornecido`";
$proto43["m_srcTableName"] = "EXPORTA_DADOS";
$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto45=array();
$proto45["m_link"] = "SQLL_MAIN";
			$proto46=array();
$proto46["m_strName"] = "Vinha";
$proto46["m_srcTableName"] = "EXPORTA_DADOS";
$proto46["m_columns"] = array();
$proto46["m_columns"][] = "CodVenda";
$proto46["m_columns"][] = "CodUser";
$proto46["m_columns"][] = "Data";
$proto46["m_columns"][] = "CodPlanta";
$proto46["m_columns"][] = "CodCliente";
$proto46["m_columns"][] = "Quantidade";
$proto46["m_columns"][] = "Confirmado";
$proto46["m_columns"][] = "Pago20%";
$proto46["m_columns"][] = "Encomendado";
$proto46["m_columns"][] = "PagoTotal";
$proto46["m_columns"][] = "Fornecido";
$proto46["m_columns"][] = "NEntrega";
$proto46["m_columns"][] = "PE";
$proto46["m_columns"][] = "Clone";
$proto46["m_columns"][] = "NE";
$proto46["m_columns"][] = "Saldo";
$proto46["m_columns"][] = "CodMarza";
$proto46["m_columns"][] = "Saldo1";
$proto46["m_columns"][] = "Escolha";
$obj = new SQLTable($proto46);

$proto45["m_table"] = $obj;
$proto45["m_sql"] = "`Vinha`";
$proto45["m_alias"] = "";
$proto45["m_srcTableName"] = "EXPORTA_DADOS";
$proto47=array();
$proto47["m_sql"] = "";
$proto47["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto47["m_column"]=$obj;
$proto47["m_contained"] = array();
$proto47["m_strCase"] = "";
$proto47["m_havingmode"] = false;
$proto47["m_inBrackets"] = false;
$proto47["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto47);

$proto45["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto45);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="EXPORTA_DADOS";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_exporta_dados = createSqlQuery_exporta_dados();


	
		;

																			

$tdataexporta_dados[".sqlquery"] = $queryData_exporta_dados;

$tableEvents["EXPORTA_DADOS"] = new eventsBase;
$tdataexporta_dados[".hasEvents"] = false;

?>